package com.fs.company.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.CompanyDivItem;

/**
 * 分账明细Mapper接口
 *
 * @author fs
 * @date 2025-10-21
 */
public interface CompanyDivItemMapper extends BaseMapper<CompanyDivItem>{
    /**
     * 查询分账明细
     *
     * @param id 分账明细主键
     * @return 分账明细
     */
    CompanyDivItem selectCompanyDivItemById(Long id);

    /**
     * 查询分账明细列表
     *
     * @param companyDivItem 分账明细
     * @return 分账明细集合
     */
    List<CompanyDivItem> selectCompanyDivItemList(CompanyDivItem companyDivItem);

    /**
     * 新增分账明细
     *
     * @param companyDivItem 分账明细
     * @return 结果
     */
    int insertCompanyDivItem(CompanyDivItem companyDivItem);

    /**
     * 修改分账明细
     *
     * @param companyDivItem 分账明细
     * @return 结果
     */
    int updateCompanyDivItem(CompanyDivItem companyDivItem);

    /**
     * 删除分账明细
     *
     * @param id 分账明细主键
     * @return 结果
     */
    int deleteCompanyDivItemById(Long id);

    /**
     * 批量删除分账明细
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteCompanyDivItemByIds(Long[] ids);

    CompanyDivItem selectCompanyDivItemByOrderCode(String orderCode);

    CompanyDivItem selectCompanyDivItemByPayCode(String payCode);
}
